Subject: SUMMARY: UCITA

From: "M. Nicklaus" <[email-masked]>
Date: Tue, 30 May 2000 11:46:40 -0400

Dear list members,

Here's the summary of my question from 17 May 2000 regarding UCITA.  It appears
that no one (who responded) seems to be in favor of it.

Marc

############################# Original Question ################################

> This is slightly off-topic since it doesn't concern computational chemistry
> software exclusively.  On the other hand, since it *does* potentially affect
> buyers and users (at least in the U.S.) of *all* software, including
> computational chemistry, I'd like to pose the question to this list.  (I
> apologize to those CCL members who are outside the U.S.; however, I believe
> software users are facing similar issues in other countries as well.)
> 
> 
> There has been an intense discussion in trade publications for months, and
> recently also in the general press, about a new law proposal governing software
> sales and licensing, the Uniform Computer Information Transaction Act (UCITA).
> This draft model law is intended to be passed by the individual state
> legislatures.  I'll not go into the history, background and details of UCITA,
> all of which can be read about on web sites such as http://www.4cite.org/.
> 
> The general criticism I've seen voiced against UCITA is that it dramatically
> shifts the balance of existing contract law in favor of software vendor.  
> Specific provisions that have been deemed particulary worrisome include the
> right for software vendors to shut down mission critical software remotely
> without court approval and without incurring liability; to permit software
> vendors to avoid liability for damage caused by bugs known to the vendor, and
> undisclosed to the licensee, when the software was bought; to allow software
> vendors to prohibit public criticism of their product; to bind the purchaser to
> licensing terms disclosed only after the purchaser pays for the software, and
> allows the software vendor to change the terms unilaterally by e-mail; and
> others.
> 
> Such licensing terms were often part of license agreements in the past, but they
> turned out to be rarely enforceable in court.  Now, the critics say, UCITA would
> sanction all this by law.
> 
> I am not a legal expert, and I don't know how much the computational chemistry
> software field would be affected by it.  Since UCITA is about to become law in
> Maryland, I'd like to ask the CCL members how they see UCITA affecting their
> future software purchases, and how they plan to handle the situation: just
> accept it; or try to renegotiate licensing contracts with software vendors;
> contact their legislators; ignore the licensing terms; simply not buy
> UCITA-governed software; only use open source and GPL'd programs; or...?

############################# Answers ################################

From: Anita Ilze Zvaigzne <[email-masked]>

     I am also against the UCITA for the very reasons that you had
mentioned in the CCL posting.  However, it seems to me that this law
should not be able to survive judicial review, because of the vendors
ability to unilaterally change the terms of the agreement after the
purchase has been made.  I am no legal expert, but it seems to me that
this would violate the basic tenets of a contract.

     Please let me know if there is anything that I can do to assist in
protesting and stopping the implementation of UCITA.  Thanks.
---
    In my previous message, I forgot to say that I would probably boycott
UCITA in the purchase of new software products -- where possible.  If that
failed, I would try to renegogiate a contract that would limit the
vendor's ability to apply the more distressing portions of UCITA to shut
down my research.

----------------------------------------------------------------------

From: Christoph Weber <[email-masked]>

(Note: I am not speaking officially for my institute. However, I will
definitely voice my opinion if and when such issues come up around
here.)

Remote shutdown:
While this sounds scary and is clearly offensive, I think it will be
largely a non issue for most companies in our field and many
universities also. The reason is that most places have firewalls in
place. In order to shut down software remotely, there needs to be a
communication link from the software to the 'mothership'. I don't think
we would knowingly allow such communication through our firewall,
especially not if we don't know what the payload of such communication
would be.
Additionally, I expect that for large software purchases our purchasers
and lawyers would try to introduce language to exclude such practices.

Limited/nonexistent liability for known bugs:
Again, I am pretty certain that for large software purchases, our
purchasing staff would negotiate better terms. We have successfully
dealt with vendors who knowingly mislead us. I don't think we would let
up on this practice.

Changing terms unilaterally:
See above.
Also, if such stuff becomes a trend, I expect uniform language being
developed by our lawyers that protects us, and that we'd mostly or
exclusively deal with vendors who agree to our terms. 

On the whole, I expect that UCITA won't harm us much. This doesn't mean,
though, that UCITA is not a problem. In fact, it stinks.
I think that the most problems will be with individual small purchases
over the web or at PC retailers and such, where individual scientists
expose themselves (unknowingly?) to bad contract terms and will most
likely be bound by them.
Likewise, we as private individuals will be hurt because we don't wield
a lot of  purchasing power individually.
That basically means that computational chemistry software won't change
much as a result of UCITA becoming law in some states. What will be most
affected will be productivity software, utilities and perhaps desktop
OSes.

It will quickly become apparent who the black sheep are in the software
industry, and I would expect that this would significantly hurt such
vendor's sales figures. I also expect a further boost for PD and GPL'd
code, if UCITA plays out as bad as some make it out to be. I have seen
our scientists jump ship very quickly when prices were hiked up by a
vendor. They are a very fickle bunch, and that's a good thing. Vendors
will need to think about what a PR and bottomline disaster it could
become if they decide to play tough with us.

----------------------------------------------------------------------

From: Jesus M. Castagnetto <[email-masked]>

My take on UCITA is that is being pushed by big software vendors
to cover their legal liabilities, not with the intention of
helping them "innovate" or "make the next software of the future",
as some of the proponents have said in other forums.

Personally, I'll stick w/ Open Source software (GPL is but one of the
several licenses available, see www.opensource.org), which in the
long run tends to be more flexible and robust than closed source
proprietary software. I like the philosophy of fixing bugs when you
find them, and as Raymond said "given enough eyeballs, all busg are
shallow"

I see that all these legaleze arises from the mentality of looking
who to blame for problems. A user (and in particular a company), should
educate itself enough to make a rational decision on the software that
he/she/it purchases. Most users look for the remedy of suing a software
vendor instead of trying to work with it, or picking a more robust
solution from the beginning. Of course, this a vicious circle, because
makes the vendors defensive, so they are not too receptive to critics
and are burdened by legal rules, so it takes them longer to fix a 
problem. Thus UCITA is the worse defensive response from them trying
to get a legal fix, instead of doing the "right thing" (TM), and 
make robust software, and be open about bugs and their fixes.

Software and information cannot be treated like real state, or other
tangible posesions. Wrong perspective from the part of the vendors
when they bent the legal system to try and do just that, and then
avoid any responsability whatsoever.

You can tell that I do not particularly like UCITA.

----------------------------------------------------------------------

Marc

(As always, these are my personal views and not necessarily those of NIH)
------------------------------------------------------------------------
 Marc C. Nicklaus                        National Institutes of Health
 E-mail: [email-masked]               Bldg 37, Rm 5B29
 Phone:  (301) 402-3111                  37 Convent Dr, MSC 4255       
 Fax:    (301) 402-2275                  BETHESDA, MD 20892-4255    USA 
      http://rex.nci.nih.gov/RESEARCH/basic/medchem/mcnbio.htm
    Laboratory of Medicinal Chemistry, National Cancer Institute
------------------------------------------------------------------------